<%@ Page language="c#" Codebehind="UploadProgressBar.aspx.cs" AutoEventWireup="false" Inherits="InlineUploadBar.UploadProgressBar" %>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en" >
<html>
    <head>
        <title>UploadProgressBar</title>
        <meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
        <meta name="CODE_LANGUAGE" content="C#">
        <meta name="vs_defaultClientScript" content="JavaScript">
        <meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
        <style>
            .headingSectionTitle { FONT-WEIGHT: bold; FONT-SIZE: 10pt; COLOR: white; BACKGROUND-COLOR: darkslategray }
            .progressBarTable { BORDER-RIGHT: black 1px solid; BORDER-TOP: black 1px solid; FONT-SIZE: 10px; BORDER-LEFT: black 1px solid; WIDTH: 100%; BORDER-BOTTOM: black 1px solid; HEIGHT: 20px }
            .progressBarCell { FONT-SIZE: 10px; COLOR: white; BACKGROUND-COLOR: darkslategray; TEXT-ALIGN: center }
            .progressBarFillerCell { FONT-SIZE: 10px; COLOR: darkslategray; BACKGROUND-COLOR: white; TEXT-ALIGN: center }
            .smallButton { BORDER-RIGHT: black 1px solid; PADDING-RIGHT: 0px; BORDER-TOP: black 1px solid; PADDING-LEFT: 0px; FONT-SIZE: 10px; PADDING-BOTTOM: 0px; MARGIN: 7px; BORDER-LEFT: black 1px solid; WIDTH: 110px; CURSOR: hand; COLOR: white; PADDING-TOP: 0px; BORDER-BOTTOM: black 1px solid; FONT-FAMILY: Verdana, Arial; BACKGROUND-COLOR: darkslategray }
            BODY { FONT-SIZE: 10px; FONT-FAMILY: Arial }
            TD { FONT-SIZE: 10px; FONT-FAMILY: Arial }
            TEXTAREA { FONT-SIZE: 10px; FONT-FAMILY: Arial }
        </style>
        <script>
            // A variable used to signal a list view toggle
            var toggleList = false;
            
            // The function that toggles list display
            function toggleListDisplay()
            {
                document.getElementById('btnMore').enabled = false;
                toggleList = true;
            }
        </script>
    </head>
    <body>
        <form id="Form1" method="post" runat="server">
            <table border="0" cellpadding="6" cellspacing="0" width="100%" align="center">
                <tr>
                    <td class="headingSectionTitle">
                        File upload in progress.
                    </td>
                </tr>
            </table>
            <table border="0" cellpadding="4" cellspacing="2" align="left">
                <tr>
                    <td width="600">
                        <table width="100%" border="0" height="100%" cellpadding="0" cellspacing="0">
                            <tr>
                                <td align="left">
                                    File name:
                                    <b><asp:label id="lblFileName" runat="server" /></b>
                                </td>
                                <td align="right">&nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td width="0" rowspan="3">
                        <asp:placeholder id="plcAllFiles" runat="server">
                        </asp:placeholder>
                    </td>
                </tr>
                <tr width="600">
                    <td>
                        <asp:placeholder id="plcProgressBar" runat="server" />
                    </td>
                </tr>
                <tr width="600">
                    <td>

                        Time remaining:
                        <asp:label id="lblTimeRemaining" runat="server"></asp:label>
                        at
                        <asp:label id="lblDataRate" runat="server"></asp:label>
                        per second

                    </td>
                </tr>
                <tr width="600">
                    <td>
                        <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                                <td align="left">
                                    <asp:label id="lblBytesRead" runat="server" />
                                    out of
                                    <asp:label id="lblBytesTotal" runat="server" /> received
                                </td>
                                <td align="right"><input class="smallButton" id="btnMore" type="button" value="More >>" onclick="toggleListDisplay();" runat="server">&nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>

        </form>
    </body>
</html>
